function [x0,err] = succapp_short(x0);
maxit = 100;
tol = 1.0e-6;
err = 100.0;
icount = 0;
xold = x0;
while (err > tol & icount <= maxit)
   icount = icount + 1;
   xnew = funkeval(xold);
   if (icount > 1)
      err = abs((xnew - xold)/xnew);
   end
   fprintf(1,'i = %i xnew = %e xold = %e err = %e \n',icount, xnew, xold, err);
   xold = xnew;
end
x0 = xnew;
if (icount >= maxit)
   fprintf(1,'Sorry.  You did not converge in %i iterations.\n',maxit);
   fprintf(1,'The final value of x was %e \n', x0);
end

function x = funkeval(x0)
x = exp(-x0);
